Page MenuHomePhabricator

Error: Unknown dependency: ext.cite.style
Closed, ResolvedPublic

Description

When Cite extension is not installed on wiki,

Error: Unknown dependency: ext.cite.style Error: Unknown dependency: ext.cite.style
    at sortDependencies (load.php?debug=false&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1bbwnme:157)
    at resolveStubbornly (load.php?debug=false&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1bbwnme:158)
    at Object.load (load.php?debug=false&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1bbwnme:169)
    at ContentTranslationSource.load (load.php?debug=false&lang=gu&modules=ext.cx.source|mediawiki.skinning.content.parsoid&skin=vector&v…:4)
    at proxy (load.php?debug=false&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1bbwnme:6)
    at fire (load.php?debug=false&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1bbwnme:46)
    at Object.fireWith (load.php?debug=false&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1bbwnme:47)
    at Object.fire (load.php?debug=false&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1bbwnme:174)
    at Object.<anonymous> (load.php?debug=false&lang=gu&modules=ext.cx.source|mediawiki.skinning.content.parsoid&skin=vector&v…:2)
    at fire (load.php?debug=false&lang=gu&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=1bbwnme:46)

Code says:

// Try to load Cite styles. Silently ignored if not installed.
    mw.loader.load( 'ext.cite.style' );

So, this should be 'silently ignored' instead of throwing errors in console.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 12 2017, 12:55 PM
Amire80 triaged this task as Normal priority.Jul 12 2017, 12:56 PM
Amire80 added a project: WorkType-Maintenance.
Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.

Change 369907 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Avoid errors about cite module if Cite not installed.

https://gerrit.wikimedia.org/r/369907

Change 369907 merged by jenkins-bot:
[mediawiki/extensions/ContentTranslation@master] Avoid errors about cite module if Cite not installed.

https://gerrit.wikimedia.org/r/369907

Arrbee moved this task from QA to Done on the Language-2017-July-Sept board.Aug 16 2017, 7:16 AM
Nikerabbit closed this task as Resolved.Aug 22 2017, 7:16 AM